import ApplyPresentationStateToImageNodeOptions from './apply-presentation-state-to-image-node-options.js';
import ApplyPresentationStateToImageNodeResult from './apply-presentation-state-to-image-node-result.js';
/**
 * Apply a presentation state to a given DICOM image and render output as bitmap, or dicom file.
 *
 * @param {string} imageIn - Input DICOM file
 * @param {string} presentationStateFile - Process using presentation state file
 * @param {ApplyPresentationStateToImageNodeOptions} options - options object
 *
 * @returns {Promise<ApplyPresentationStateToImageNodeResult>} - result object
 */
declare function applyPresentationStateToImageNode(imageIn: string, presentationStateFile: string, options?: ApplyPresentationStateToImageNodeOptions): Promise<ApplyPresentationStateToImageNodeResult>;
export default applyPresentationStateToImageNode;
