import { BinaryFile } from 'itk-wasm';
import ApplyPresentationStateToImageOptions from './apply-presentation-state-to-image-options.js';
import ApplyPresentationStateToImageResult from './apply-presentation-state-to-image-result.js';
/**
 * Apply a presentation state to a given DICOM image and render output as bitmap, or dicom file.
 *
 * @param {File | BinaryFile} imageIn - Input DICOM file
 * @param {File | BinaryFile} presentationStateFile - Process using presentation state file
 * @param {ApplyPresentationStateToImageOptions} options - options object
 *
 * @returns {Promise<ApplyPresentationStateToImageResult>} - result object
 */
declare function applyPresentationStateToImage(imageIn: File | BinaryFile, presentationStateFile: File | BinaryFile, options?: ApplyPresentationStateToImageOptions): Promise<ApplyPresentationStateToImageResult>;
export default applyPresentationStateToImage;
