import { BinaryFile } from 'itk-wasm';
import ReadDicomEncapsulatedPdfOptions from './read-dicom-encapsulated-pdf-options.js';
import ReadDicomEncapsulatedPdfResult from './read-dicom-encapsulated-pdf-result.js';
/**
 * Extract PDF file from DICOM encapsulated PDF.
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file
 * @param {ReadDicomEncapsulatedPdfOptions} options - options object
 *
 * @returns {Promise<ReadDicomEncapsulatedPdfResult>} - result object
 */
declare function readDicomEncapsulatedPdf(dicomFile: File | BinaryFile, options?: ReadDicomEncapsulatedPdfOptions): Promise<ReadDicomEncapsulatedPdfResult>;
export default readDicomEncapsulatedPdf;
