import { BinaryFile } from 'itk-wasm';
import ReadDicomTagsOptions from './read-dicom-tags-options.js';
import ReadDicomTagsResult from './read-dicom-tags-result.js';
/**
 * Read the tags from a DICOM file
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file.
 * @param {ReadDicomTagsOptions} options - options object
 *
 * @returns {Promise<ReadDicomTagsResult>} - result object
 */
declare function readDicomTags(dicomFile: File | BinaryFile, options?: ReadDicomTagsOptions): Promise<ReadDicomTagsResult>;
export default readDicomTags;
