import ReadOverlappingSegmentationNodeOptions from './read-overlapping-segmentation-node-options.js';
import ReadOverlappingSegmentationNodeResult from './read-overlapping-segmentation-node-result.js';
/**
 * Read DICOM segmentation object with overlapping segments into a VectorImage.
 *
 * @param {string} dicomFile - Input DICOM file
 * @param {ReadOverlappingSegmentationNodeOptions} options - options object
 *
 * @returns {Promise<ReadOverlappingSegmentationNodeResult>} - result object
 */
declare function readOverlappingSegmentationNode(dicomFile: string, options?: ReadOverlappingSegmentationNodeOptions): Promise<ReadOverlappingSegmentationNodeResult>;
export default readOverlappingSegmentationNode;
