import { BinaryFile } from 'itk-wasm';
import ReadOverlappingSegmentationOptions from './read-overlapping-segmentation-options.js';
import ReadOverlappingSegmentationResult from './read-overlapping-segmentation-result.js';
/**
 * Read DICOM segmentation object with overlapping segments into a VectorImage.
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file
 * @param {ReadOverlappingSegmentationOptions} options - options object
 *
 * @returns {Promise<ReadOverlappingSegmentationResult>} - result object
 */
declare function readOverlappingSegmentation(dicomFile: File | BinaryFile, options?: ReadOverlappingSegmentationOptions): Promise<ReadOverlappingSegmentationResult>;
export default readOverlappingSegmentation;
