import { BinaryFile } from 'itk-wasm';
import ReadSegmentationOptions from './read-segmentation-options.js';
import ReadSegmentationResult from './read-segmentation-result.js';
/**
 * Read DICOM segmentation objects
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file
 * @param {ReadSegmentationOptions} options - options object
 *
 * @returns {Promise<ReadSegmentationResult>} - result object
 */
declare function readSegmentation(dicomFile: File | BinaryFile, options?: ReadSegmentationOptions): Promise<ReadSegmentationResult>;
export default readSegmentation;
