import { BinaryFile } from 'itk-wasm';
import StructuredReportToHtmlOptions from './structured-report-to-html-options.js';
import StructuredReportToHtmlResult from './structured-report-to-html-result.js';
/**
 * Render DICOM SR file and data set to HTML/XHTML
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file
 * @param {StructuredReportToHtmlOptions} options - options object
 *
 * @returns {Promise<StructuredReportToHtmlResult>} - result object
 */
declare function structuredReportToHtml(dicomFile: File | BinaryFile, options?: StructuredReportToHtmlOptions): Promise<StructuredReportToHtmlResult>;
export default structuredReportToHtml;
