import StructuredReportToTextNodeOptions from './structured-report-to-text-node-options.js';
import StructuredReportToTextNodeResult from './structured-report-to-text-node-result.js';
/**
 * Read a DICOM structured report file and generate a plain text representation
 *
 * @param {string} dicomFile - Input DICOM file
 * @param {StructuredReportToTextNodeOptions} options - options object
 *
 * @returns {Promise<StructuredReportToTextNodeResult>} - result object
 */
declare function structuredReportToTextNode(dicomFile: string, options?: StructuredReportToTextNodeOptions): Promise<StructuredReportToTextNodeResult>;
export default structuredReportToTextNode;
