import { BinaryFile } from 'itk-wasm';
import StructuredReportToTextOptions from './structured-report-to-text-options.js';
import StructuredReportToTextResult from './structured-report-to-text-result.js';
/**
 * Read a DICOM structured report file and generate a plain text representation
 *
 * @param {File | BinaryFile} dicomFile - Input DICOM file
 * @param {StructuredReportToTextOptions} options - options object
 *
 * @returns {Promise<StructuredReportToTextResult>} - result object
 */
declare function structuredReportToText(dicomFile: File | BinaryFile, options?: StructuredReportToTextOptions): Promise<StructuredReportToTextResult>;
export default structuredReportToText;
