import { JsonCompatible } from 'itk-wasm';
import WriteMultiSegmentationNodeOptions from './write-multi-segmentation-node-options.js';
import WriteMultiSegmentationNodeResult from './write-multi-segmentation-node-result.js';
/**
 * Write DICOM segmentation object using multiple input images.
 *
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteMultiSegmentationNodeOptions} options - options object
 *
 * @returns {Promise<WriteMultiSegmentationNodeResult>} - result object
 */
declare function writeMultiSegmentationNode(metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteMultiSegmentationNodeOptions): Promise<WriteMultiSegmentationNodeResult>;
export default writeMultiSegmentationNode;
