import { JsonCompatible } from 'itk-wasm';
import WriteMultiSegmentationOptions from './write-multi-segmentation-options.js';
import WriteMultiSegmentationResult from './write-multi-segmentation-result.js';
/**
 * Write DICOM segmentation object using multiple input images.
 *
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteMultiSegmentationOptions} options - options object
 *
 * @returns {Promise<WriteMultiSegmentationResult>} - result object
 */
declare function writeMultiSegmentation(metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteMultiSegmentationOptions): Promise<WriteMultiSegmentationResult>;
export default writeMultiSegmentation;
