import { Image, JsonCompatible } from 'itk-wasm';
import WriteOverlappingSegmentationNodeOptions from './write-overlapping-segmentation-node-options.js';
import WriteOverlappingSegmentationNodeResult from './write-overlapping-segmentation-node-result.js';
/**
 * Write DICOM segmentation object for overlapping segments.
 *
 * @param {Image} segImage - dicom segmentation object as an image
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteOverlappingSegmentationNodeOptions} options - options object
 *
 * @returns {Promise<WriteOverlappingSegmentationNodeResult>} - result object
 */
declare function writeOverlappingSegmentationNode(segImage: Image, metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteOverlappingSegmentationNodeOptions): Promise<WriteOverlappingSegmentationNodeResult>;
export default writeOverlappingSegmentationNode;
