import { Image, JsonCompatible } from 'itk-wasm';
import WriteOverlappingSegmentationOptions from './write-overlapping-segmentation-options.js';
import WriteOverlappingSegmentationResult from './write-overlapping-segmentation-result.js';
/**
 * Write DICOM segmentation object for overlapping segments.
 *
 * @param {Image} segImage - dicom segmentation object as an image
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteOverlappingSegmentationOptions} options - options object
 *
 * @returns {Promise<WriteOverlappingSegmentationResult>} - result object
 */
declare function writeOverlappingSegmentation(segImage: Image, metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteOverlappingSegmentationOptions): Promise<WriteOverlappingSegmentationResult>;
export default writeOverlappingSegmentation;
