import WriteRtStructNodeOptions from './write-rt-struct-node-options.js';
import WriteRtStructNodeResult from './write-rt-struct-node-result.js';
/**
 * Write a DICOM RT Struct Structured Set for the given ROI contours and DICOM metadata
 *
 * @param {string} inputCxt - Input Plastimatch CXT structure set file
 * @param {string} outputDicom - Output DICOM RT Struct Structure Set file
 * @param {WriteRtStructNodeOptions} options - options object
 *
 * @returns {Promise<WriteRtStructNodeResult>} - result object
 */
declare function writeRtStructNode(inputCxt: string, outputDicom: string, options?: WriteRtStructNodeOptions): Promise<WriteRtStructNodeResult>;
export default writeRtStructNode;
