import { TextFile } from 'itk-wasm';
import WriteRtStructOptions from './write-rt-struct-options.js';
import WriteRtStructResult from './write-rt-struct-result.js';
/**
 * Write a DICOM RT Struct Structured Set for the given ROI contours and DICOM metadata
 *
 * @param {File | TextFile} inputCxt - Input Plastimatch CXT structure set file
 * @param {string} outputDicom - Output DICOM RT Struct Structure Set file
 * @param {WriteRtStructOptions} options - options object
 *
 * @returns {Promise<WriteRtStructResult>} - result object
 */
declare function writeRtStruct(inputCxt: File | TextFile, outputDicom: string, options?: WriteRtStructOptions): Promise<WriteRtStructResult>;
export default writeRtStruct;
