import { Image, JsonCompatible } from 'itk-wasm';
import WriteSegmentationNodeOptions from './write-segmentation-node-options.js';
import WriteSegmentationNodeResult from './write-segmentation-node-result.js';
/**
 * Write DICOM segmentation object.
 *
 * @param {Image} segImage - dicom segmentation object as an image
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteSegmentationNodeOptions} options - options object
 *
 * @returns {Promise<WriteSegmentationNodeResult>} - result object
 */
declare function writeSegmentationNode(segImage: Image, metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteSegmentationNodeOptions): Promise<WriteSegmentationNodeResult>;
export default writeSegmentationNode;
