import { Image, JsonCompatible } from 'itk-wasm';
import WriteSegmentationOptions from './write-segmentation-options.js';
import WriteSegmentationResult from './write-segmentation-result.js';
/**
 * Write DICOM segmentation object.
 *
 * @param {Image} segImage - dicom segmentation object as an image
 * @param {JsonCompatible} metaInfo - JSON file containing the meta-information that describesthe measurements to be encoded. See DCMQI documentation for details.
 * @param {string} outputDicomFile - File name of the DICOM SEG object that will store theresult of conversion.
 * @param {WriteSegmentationOptions} options - options object
 *
 * @returns {Promise<WriteSegmentationResult>} - result object
 */
declare function writeSegmentation(segImage: Image, metaInfo: JsonCompatible, outputDicomFile: string, options?: WriteSegmentationOptions): Promise<WriteSegmentationResult>;
export default writeSegmentation;
